using System;

class Program
{
    static int N, M;
    static int[,] matrica;

    static bool trenutnaKombinacijaIspravna()
    {
        int suma = 0;

        // Provera za red

        for (int i = 0; i < N; i++)
        {
            for (int j = 0; j < M; j++)
            {
                suma += matrica[i, j];
            }

            if (suma % (i + 1) != 0)
            {
                return false;
            }
        }

        suma = 0;

        // Provera za red

        for (int j = 0; j < M; j++)
        {
            for (int i = 0; i < N; i++)
            {
                suma += matrica[i, j];
            }

            if (suma % (j + 1) != 0)
            {
                return false;
            }
        }

        return true;
    }

    static void Main(string[] args)
    {
        int T = int.Parse(Console.ReadLine());

        for (int u = 0; u < T; u++)
        {
            string[] ulaz = Console.ReadLine().Split();

            N = int.Parse(ulaz[0]);
            M = int.Parse(ulaz[1]);

            matrica = new int[N, M];

            int i_poredjenje = 0;
            int j_poredjenje = 0;

            bool pronadjenaMatrica = false;

            for (int i = 0; i < N; i++)
            {
                for (int j = 0; j < M; j++)
                {
                    for (int k = 0; k < N; k++)
                    {
                        if (i == i_poredjenje) { matrica[i, j] = 1; }

                        /*for (int q = 0; q < N; q++)
                        {
                            if (i == i_poredjenje && j == j_poredjenje) { matrica[i, j] = 1; }


                        }*/
                    }

                    if (trenutnaKombinacijaIspravna())
                    {
                        pronadjenaMatrica = true;

                        break;
                    }
                    else
                    {
                        j_poredjenje++;
                    }
                }

                i_poredjenje++;

                if (pronadjenaMatrica) { break; }
            }

            IspisiMatricu();
        }
    }

    static void IspisiMatricu()
    {
        for (int i = 0; i < N; i++)
        {
            for (int j = 0; j < M; j++)
            {
                Console.Write(matrica[i, j] + " ");
            }

            Console.WriteLine();
        }
    }
}